Subject: Re: What to do when label has error?

From: "Sumit Chauhan" <[email-masked]>
Date: Wed, 23 May 2001 10:47:11

hi sherry!

In case we are not able to find a FEC mapping for an incoming laeled packet it should be dropped. this is basically due to two resons.

1. to prevent loops that may arise if we try and forward it using the IP header embedded inside.

2. The IP header itself may not have enough information for us to be able to forward it.

regards,

sumit

>From: "Sherry Wei"

>To: [email-masked]

>Subject: What to do when label has error?

>Date: Wed, 23 May 2001 10:08:27 +0000

>Hello,

>I have a doubt about the real operation in the case that the LSR can't find

>the according ILM or NHLFE. What will it do then? Drop the packet and send

>the ICMP message to the source, or strip off the label stack and deal with

>the packet with IP forwarding meanwhile send the ICMP message?

>Sherry

>_________________________________________________________________________

>Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

---

From: [email-masked]
Date: Wed, 23 May 2001 23:06:20 +0530

hi all!
     just a few points I would like to state.
regards
sumit

Eric Gray <[email-masked]> on 05/23/2001 10:52:58 PM

To:   David Charlap <[email-masked]>
cc:   [email-masked] (bcc: Sumit Chauhan/HSS)

Subject:  Re: What to do when label has error?

David,

    I agree with the 'spirit' of what you are saying, however, an ILM
and no NHLFE makes no sense.  An ILM maps an incoming label
to a set of NHLFEs and - while it is not explicitly stated - such a
set makes no sense if empty.
######sumit######
I agree with the fact that an ILM without an NHLFE does not make too much sense
as at the time of creating an ILM I guess it is almost mandatory to have one or
more NHLFE mappings to it. I think the current specs definitely are written
assuming this.
#################

    I believe what you are getting at is that an LSR that gets a label
it knows nothing about will discard the packet.  This I agree with.
However, how an implementation deals with the case where it
knows of a label which it has given out and it currently has no usable
NHLFEs for that label, is a local matter for the implementation.  In
other words, how an implementations 'memory' of the labels it has
given out maps to an 'ILM' is an internal issue.

    For example, many implementations might use a 'default' NHLFE
which looks, acts and even quacks like a bit-bucket.  This would
allow them to have a useful ILM when there is no useable next hop
information at the time.  But such an implementation may also have
a set of NHLFEs that are more sophisticated.
#######sumit#######
considering the fact that MPLS is running in the core network, IMHO having the
concept of a default NHLFE would be as appealing as having a default route in a
network core router, which is not so appealing at all. Hence I think it is
necessary to have a completely legitimate NHLFE for every ILM entry.
###################
--
Eric Gray

You wrote:

> Sherry Wei wrote:
> >
> > I have a doubt about the real operation in the case that the LSR
> > can't find the according ILM or NHLFE.
>
> If the ILM is not found, then the packet is dropped.  There is no
> question about this.
>
> If there is an ILM but no NHLFE, then the router will probably drop the
> packet.  If the router is able to forward the payload without looping
> (which implies that the router knows what the L3 protocol is), then it
> may pop the label and forward the payload as an unlabeled packet.  If it
> can not be certain what the payload is, or can not guarantee that it
> won't loop, then it must drop the packet.
>
> -- David